<?php

namespace App\Repositories;

use App\Models\Track;

class TrackRepository extends BaseRepository
{
    public function __construct()
    {

    }

    /**
     * Lấy mảng ID do bên nguồn quản lý đã insert trong tracks
     * @param string $src
     * @return null
     */
    public function getTrackSrcIdInserted($src='all')
    {
        $query = Track::select(['id', 'source', 'id_zing', 'id_nct', 'id_keeng']);
        if ($src != 'all') {
            $query->where('source', $src);
            switch ($src) {
                case 'zing': return $query->pluck('id_zing')->toArray(); break;
                case 'nct': return $query->pluck('id_nct')->toArray(); break;
                case 'keeng': return $query->pluck('id_keeng')->toArray(); break;
            }
            return null;
        }
        return $query->get();
    }

    public function getTrackImageEmpty()
    {
        $query = Track::select(['id', 'image', 'source', 'id_zing', 'id_nct', 'id_keeng', 'thumbnail_medium'])->whereNull('image');
        return $query->get()->toArray();
    }


}